SUBROUTINE DEALSHU

!**** *DEALSHU* - Deallocate RZEGRID

!     Purpose.
!     -------
!           Deallocate RZEGRID

!**   Interface.
!**   ---------
!**         DEALSHU is called from routine CNT1

!     Author.
!     -------
!        J. HAGUE *ECMWF*

!     Modifications.
!     --------------
!        Original :  07-Dec-2004 

!------------------------------------------------------

USE PARKIND1  ,ONLY : JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
USE YOMFGER  , ONLY : RZEGRID

IMPLICIT NONE

REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('DEALSHU',0,ZHOOK_HANDLE)
!------------------------------------------------------

!*        1.    DEALLOCATE
!               ----------

!*           1.1   DECLARED IN INIFGER

IF(ALLOCATED (RZEGRID)     )  DEALLOCATE (RZEGRID)

IF (LHOOK) CALL DR_HOOK('DEALSHU',1,ZHOOK_HANDLE)
END SUBROUTINE DEALSHU

